LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Question on SlackBuild for Mplayer and libdvdnav (http://www.linuxquestions.org/questions/slackware-14/question-on-slackbuild-for-mplayer-and-libdvdnav-611975/)

Lufbery 01-08-2008 07:24 AM

Question on SlackBuild for Mplayer and libdvdnav
 
Hi all,

I recently downloaded the SlackBuild scripts for Mplayer and its associated libraries from Slackbuilds.org. Everything compiled well and seems to be working except for DVD navigation.

I compiled and installed libdvdnav from Slackbuilds.org, but there's a note there that points out a problem:

Quote:

libdvdnav does conflict with libdvdread, as a modified version of libdvdread is already included. Most apps will work with this version too.
So how do I resolve that conflict and get Mplayer to work with libdvdnav?

Thanks,

-Drew

andrew.46 01-08-2008 03:32 PM

Hi,

I should stress that I have not actually tried this solution:

http://www.mplayerhq.hu/DOCS/tech/dvdnav-howto.txt

as I am waiting until a more mature product is incorporated into the svn mplayer.

BTW have you thought of modifying the SlackBuild script and running the svn mplayer? I am no scripting genius but I have successfully done it and performance gains are always huge even over rc2.

Andrew

simcox1 01-08-2008 04:03 PM

Quote:

So how do I resolve that conflict and get Mplayer to work with libdvdnav?
As long as you haven't installed libdvdread there's no conflict. libdvdread is a separate package.

andrew.46 01-08-2008 04:24 PM

Hi,

Quote:

Originally Posted by simcox1 (Post 3015960)
As long as you haven't installed libdvdread there's no conflict. libdvdread is a separate package.

Except with the mplayer internal dvdread? This comes with rc2 and svn.

Andrew

Lufbery 01-09-2008 07:01 AM

Okay, so I installed libdvdread -- I guess that's my problem. I'll unistall it and then see if I need to recompile Mplayer.

Thanks,

-Drew

ppr:kut 01-12-2008 04:25 AM

Mplayer with dvdnav support is very easy. You just have to keep some things in mind.

First, mplayer's fork of libdvdnav installs a libdvdread.so. That's why it does conflict with libdvdread.
So, yes, make sure libdvdread is not installed, if you want to install libdvdnav.
If that's the case, all you have to do is run the MPlayer.SlackBuild from Slackbuilds.org. Mplayer will recognize
the installed libdvdnav automatically and enable support for it.

Second, if you want to use a svn-version of MPlayer with dvdnav support, you will also have to use a svn-version of libdvdnav.

Lufbery 01-12-2008 07:25 AM

Cool. Thanks.


All times are GMT -5. The time now is 08:51 AM.